<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>json-c: json_object Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">json-c
   &#160;<span id="projectnumber">0.14</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.2 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">json_object Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionjson__object_1_1data.html">data</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a28307a4a3fe6cefe27e28fec56b76b3e"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06c">json_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__object.html#a28307a4a3fe6cefe27e28fec56b76b3e">o_type</a></td></tr>
<tr class="separator:a28307a4a3fe6cefe27e28fec56b76b3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3a795ba10ac33897bfda80cf4b8254e"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__object.html#ac3a795ba10ac33897bfda80cf4b8254e">_ref_count</a></td></tr>
<tr class="separator:ac3a795ba10ac33897bfda80cf4b8254e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63666be714a8ce8907d56142c1d9dfb7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="json__object__private_8h.html#aa125a0d39945a73a7d52b9823a2ef741">json_object_private_delete_fn</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__object.html#a63666be714a8ce8907d56142c1d9dfb7">_delete</a></td></tr>
<tr class="separator:a63666be714a8ce8907d56142c1d9dfb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a077a02daac4653f91584dd7f47c3d632"><td class="memItemLeft" align="right" valign="top"><a class="el" href="json__types_8h.html#af84078100a9025df418f31626ea866fa">json_object_to_json_string_fn</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__object.html#a077a02daac4653f91584dd7f47c3d632">_to_json_string</a></td></tr>
<tr class="separator:a077a02daac4653f91584dd7f47c3d632"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdcaa9e24bce7c86c33cb6f6ae65cb56"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structprintbuf.html">printbuf</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__object.html#afdcaa9e24bce7c86c33cb6f6ae65cb56">_pb</a></td></tr>
<tr class="separator:afdcaa9e24bce7c86c33cb6f6ae65cb56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33aff83ffea02b934235c4821cca8cf0"><td class="memItemLeft" align="right" valign="top">union <a class="el" href="unionjson__object_1_1data.html">json_object::data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__object.html#a33aff83ffea02b934235c4821cca8cf0">o</a></td></tr>
<tr class="separator:a33aff83ffea02b934235c4821cca8cf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9e57edb1cbd63578490081b2a9636ad"><td class="memItemLeft" align="right" valign="top"><a class="el" href="json__types_8h.html#aa647d7c567a06abe1a1a511f6d6860e4">json_object_delete_fn</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__object.html#ad9e57edb1cbd63578490081b2a9636ad">_user_delete</a></td></tr>
<tr class="separator:ad9e57edb1cbd63578490081b2a9636ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a592a5391c3717ff7e8930476027226fe"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__object.html#a592a5391c3717ff7e8930476027226fe">_userdata</a></td></tr>
<tr class="separator:a592a5391c3717ff7e8930476027226fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a63666be714a8ce8907d56142c1d9dfb7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="json__object__private_8h.html#aa125a0d39945a73a7d52b9823a2ef741">json_object_private_delete_fn</a>* json_object::_delete</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="afdcaa9e24bce7c86c33cb6f6ae65cb56"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structprintbuf.html">printbuf</a>* json_object::_pb</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ac3a795ba10ac33897bfda80cf4b8254e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t json_object::_ref_count</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a077a02daac4653f91584dd7f47c3d632"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="json__types_8h.html#af84078100a9025df418f31626ea866fa">json_object_to_json_string_fn</a>* json_object::_to_json_string</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad9e57edb1cbd63578490081b2a9636ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="json__types_8h.html#aa647d7c567a06abe1a1a511f6d6860e4">json_object_delete_fn</a>* json_object::_user_delete</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a592a5391c3717ff7e8930476027226fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* json_object::_userdata</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a33aff83ffea02b934235c4821cca8cf0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union <a class="el" href="unionjson__object_1_1data.html">json_object::data</a>  json_object::o</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a28307a4a3fe6cefe27e28fec56b76b3e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06c">json_type</a> json_object::o_type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="json__object__private_8h.html">json_object_private.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 19 2020 03:40:44 for json-c by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.2
</small></address>
</body>
</html>
